A private network solution that allows you to securely connect multiple Vultr instances within isolated network environments.
A Virtual Private Cloud (VPC) network enables a secure and isolated private networking interface on your instance for communication with other instances in the same network. You can attach a single VPC network to enable communication between a Bare Metal Instance and other nodes attached to the same network.
Follow this guide to attach a VPC network on a Vultr Bare Metal instance using the Vultr Customer Portal, API, CLI, or Terraform.
Send a GET request to the List Bare Metal Instances endpoint and note the target instance's ID in your output.
$ curl "https://api.vultr.com/v2/bare-metals" \
-X GET \
-H "Authorization: Bearer ${VULTR_API_KEY}"
Send a GET request to the List VPCs endpoint to list all VPCs in your Vultr account and note the target VPC network's ID.
$ curl "https://api.vultr.com/v2/vpcs" \
-X GET \
-H "Authorization: Bearer ${VULTR_API_KEY}"
Send a POST request to the Attach VPC to Instance endpoint to attach the VPC network to the Bare Metal instance.
$ curl "https://api.vultr.com/v2/instances/{instance-id}/vpcs/attach" \
-X POST \
-H "Authorization: Bearer ${VULTR_API_KEY}" \
-H "Content-Type: application/json" \
--data '{
"vpc_id": "<vpc-id>"
}'
List all Bare Metal instances in your Vultr account and note the target instance's ID.
$ vultr-cli bare-metal list
List all VPC networks in your Vultr account and note the target VPC network's ID.
$ vultr-cli vpc list
Attach the VPC network to the instance.
$ vultr-cli instance vpc attach <instanceID> --vpc-id="<vpc-id>"
Open your Terraform configuration for the existing Bare Metal instance.
Create (or reference) a VPC network and attach it to the Bare Metal instance.
# Create a new VPC network
resource "vultr_vpc" "private_net" {
region = "del"
description = "Private network for Bare Metal workloads"
}
# Attach the VPC network to the Bare Metal instance
resource "vultr_bare_metal_server" "bm1" {
# ...existing fields (region, plan, os_id, label, etc.)
vpc_ids = [vultr_vpc.private_net.id]
}
Apply the configuration and observe the following output:
Apply complete! Resources: 2 added, 0 changed, 0 destroyed.